Package org.bukkit.block.data.type

# Interface SculkShrieker

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface SculkShrieker extends Waterlogged
'can_summon' indicates whether the sculk shrieker can summon the warden.

'shrieking' indicated whether the sculk shrieker is shrieking or not.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCanSummon()`
Gets the value of the 'can_summon' property.
`boolean`
`isShrieking()`
Gets the value of the 'shrieking' property.
`void`
`setCanSummon(boolean can_summon)`
Sets the value of the 'can_summon' property.
`void`
`setShrieking(boolean shrieking)`
Sets the value of the 'shrieking' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### isCanSummon

boolean isCanSummon()
Gets the value of the 'can_summon' property.

Returns:
  the 'can_summon' value

### setCanSummon

void setCanSummon(boolean can_summon)
Sets the value of the 'can_summon' property.

Parameters:
  `can_summon` - the new 'can_summon' value

### isShrieking

boolean isShrieking()
Gets the value of the 'shrieking' property.

Returns:
  the 'shrieking' value

### setShrieking

void setShrieking(boolean shrieking)
Sets the value of the 'shrieking' property.

Parameters:
  `shrieking` - the new 'shrieking' value